<?php
function arefly_v1_register_settings() {
	add_option('arefly_v1_seo_keyword', 'Keyword,Arefly V1,Blog,Theme,WordPress');
	add_option('arefly_v1_seo_description', 'Here is some homepage description. - Theme: Arefly V1');
	register_setting('arefly_v1_options', 'arefly_v1_seo_keyword');
	register_setting('arefly_v1_options', 'arefly_v1_seo_description');
}
add_action('admin_init', 'arefly_v1_register_settings');

function arefly_v1_register_options_page() {
	add_theme_page(__('Arefly V1 Options Page', 'arefly-v1'), __('Arefly V1', 'arefly-v1'), 'manage_options', 'arefly-v1'.'-options', 'arefly_v1_options_page');
}
add_action('admin_menu', 'arefly_v1_register_options_page');

function arefly_v1_get_select_option($select_option_name, $select_option_value, $select_option_id){
	?>
	<select name="<?php echo $select_option_name; ?>" id="<?php echo $select_option_name; ?>">
		<?php
		for($num = 0; $num < count($select_option_id); $num++){
			$select_option_value_each = $select_option_value[$num];
			$select_option_id_each = $select_option_id[$num];
			?>
			<option value="<?php echo $select_option_id_each; ?>"<?php if (get_option($select_option_name) == $select_option_id_each){?> selected="selected"<?php } ?>>
				<?php echo $select_option_value_each; ?>
			</option>
		<?php } ?>
	</select>
	<?php
}

function arefly_v1_get_checked($checkbox_name, $check_value){
	if(is_array($checkbox_name)){
		if(in_array($check_value, $checkbox_name)){
			?> checked="checked"<?php
		}
	}
}

function arefly_v1_get_checkbox_option($checkbox_name, $checkbox_value, $checkbox_id){
	for($num = 0; $num < count($checkbox_id); $num++){
		$checkbox_value_each = $checkbox_value[$num];
		$checkbox_id_each = $checkbox_id[$num];
		?>
		<input type="checkbox" name="<?php echo $checkbox_name; ?>[]" id="<?php echo $checkbox_id_each; ?>" value="<?php echo $checkbox_id_each; ?>"<?php arefly_v1_get_checked(get_option($checkbox_name), $checkbox_id_each); ?>><label for="<?php echo $checkbox_id_each; ?>"><?php echo $checkbox_value_each; ?></label>
	<?php
	}
}

function arefly_v1_options_page() {
?>
<div class="wrap">
	<h2><?php _e("Arefly V1 Options Page", 'arefly-v1'); ?></h2>
	<form method="post" action="options.php">
		<?php settings_fields('arefly_v1_options'); ?>
		<h3><?php _e("SEO Options", 'arefly-v1'); ?></h3>
			<p><?php printf(__("Thank you for using Theme %s!", 'arefly-v1'), '<a href="'.AREFLY_V1_URL.'" rel="nofollow" title="Arefly V1">Arefly V1</a>'); ?><?php printf(__("Contect %s for support.", 'arefly-v1'), '<a href="Mailto:info@arefly.com" rel="nofollow" title="'.__('Contect Theme Author', 'arefly-v1').'">info@arefly.com</a>'); ?></p>
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><label for="arefly_v1_seo_keyword"><?php _e("Homepage Keywords: ", 'arefly-v1'); ?></label></th>
					<td>
						<input type="text" name="arefly_v1_seo_keyword" id="arefly_v1_seo_keyword" value="<?php echo get_option('arefly_v1_seo_keyword'); ?>" size="50" />
						<p><?php printf(__('Use %s to explode each keyword.', 'arefly-v1'), '<code>,</code>'); ?></p>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="arefly_v1_seo_description"><?php _e("Homepage Description: ", 'arefly-v1'); ?></label></th>
					<td>
						<textarea name="arefly_v1_seo_description" id="arefly_v1_seo_description" rows="5" cols="60"><?php echo get_option("arefly_v1_seo_description"); ?></textarea>
					</td>
				</tr>
			</table>
		<?php submit_button(); ?>
	</form>
</div>
<?php
}
?>